# Class CacheKeyTtl

Namespace
  adas_core.Domain.Utils

Assembly
  adas-core.Domain.dll

Resuelve TTLs a partir de CacheSettings teniendo en cuenta:

- El backend seleccionado por entidad (None | Cache | Redis)
- El TTL de la entidad para ese backend
- Caída a GlobalSeconds del backend si no hay TTL específico
- Si el TTL resultante es null o menor o igual a 0 sin expiración

    public static class CacheKeyTtl

Inheritance
  object
  CacheKeyTtl

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### ResolveForEntity(CacheSettings?, EntityType)

Resuelve TTL para una entidad concreta, respetando el backend configurado para dicha entidad.

    public static TimeSpan? ResolveForEntity(CacheSettings? settings, CacheEnum.EntityType entity)

#### Parameters

`settings` CacheSettings
`entity` CacheEnum.EntityType

#### Returns

TimeSpan?

### ResolveForKey(CacheSettings, string)

Dada una clave, clasifica la entidad y resuelve el TTL para esa clave.

    public static TimeSpan? ResolveForKey(CacheSettings settings, string key)

#### Parameters

`settings` CacheSettings
`key` string

#### Returns

TimeSpan?